Page MenuHomePhabricator

Accessibilty testing for Compact Language Links
Closed, ResolvedPublic

Description

We need test that Compact Language Links are usable by people who need special accessibility.

Some thoughts:

  • For visually-impaired people, the visual length of the list is not very important. But these things are probably important:
    • If the initially-hidden languages are just "visible" to the accessibility software, then using CLL probably doesn't change much over using the full list. However, shortening the initial list may be even more useful to visually-impaired people, because screen readers can be slow.
    • Knowing that there are more languages. If the "More" button is visible to their accessibility software (like JAWS), and can be pressed, it's probably good, but see below.
    • Do screen readers output foreign language names in a useful way? It's not a new issue with CLL, but can be useful to test at least now.
    • Is the search box accessible?
  • Is CLL accessible without a mouse? In particular, the "More" button, the search box, and clicking the links in the search results. (See also T52793.)

Possibly related: T52921.

Event Timeline

Amire80 created this task.Dec 18 2017, 7:45 PM
Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptDec 18 2017, 7:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 updated the task description. (Show Details)Dec 18 2017, 7:45 PM
Amire80 updated the task description. (Show Details)
Amire80 updated the task description. (Show Details)
Amire80 triaged this task as High priority.Dec 18 2017, 7:51 PM
Amire80 added a subscriber: dchen.

Is CLL accessible without a mouse? In particular, the "More" button, the search box, and clicking the links in the search results.

I have covered this part in T186551: Make ULS language panel keyboard accessible at the personal bar . CLL has acceptable keyboard accessibility. Here is excerpt from that ticket with info valuable for the question asked in this ticket:

  • You can open language selector with Enter/Space when CLL trigger has focus
  • Using TAB switches from input field to list of results immediately or after completing the placeholder
  • Once the focus is moved from input field to language list, scrolling works fine with keyboard arrows, page up/down and home/end keys
Amire80 moved this task from Backlog to Testing on the ULS-CompactLinks board.Feb 8 2018, 8:18 AM

From tests conducted by @dchen I understood the following—but please correct me if I'm wrong:

For visually-impaired people, the visual length of the list is not very important.

... This may actually be helpful.

If the initially-hidden languages are just "visible" to the accessibility software, then using CLL probably doesn't change much over using the full list. However, shortening the initial list may be even more useful to visually-impaired people, because screen readers can be slow.

If I understand correctly, this is good.

Knowing that there are more languages. If the "More" button is visible to their accessibility software (like JAWS), and can be pressed, it's probably good, but see below.

Accessible.

Do screen readers output foreign language names in a useful way? It's not a new issue with CLL, but can be useful to test at least now.

This is a curious part. I wrote a suggestion to improve it in T188399.

Is the search box accessible?

According to @dchen, it is.

Is CLL accessible without a mouse? In particular, the "More" button, the search box, and clicking the links in the search results. (See also T52793.)

Probably, but I'd love to hear details from @dchen.

I also heard from @dchen that people had trouble understanding why are languages added to the compact list. This is documented in the FAQ, this is not a unique accessibility issue, and it shouldn't be a problem for navigating. However, I added T188401 to address this.

@dchen, anything else I forgot? :)

aripstra removed a subscriber: aripstra.
Arrbee assigned this task to Amire80.Mar 5 2018, 7:22 AM

please find the write-up here.

dchen moved this task from Backlog to Done on the Contributors-UX-Research board.Mar 15 2018, 5:26 PM
Amire80 closed this task as Resolved.Mar 20 2018, 3:47 PM

Thanks a lot for this, @dchen. The testing is done, so I'm closing this task. I filed some follow up tasks.